<template>
  <div class="homepage">
    <!-- ':keys = ... + 1000' prevents duplicate keys with other posts after StoryCarousel -->
    <PostComponent
      v-for="post of postsFirstPart"
      :key="postsFirstPart.indexOf(post) + 1000"
      :post="post"
    />
    <StoryCarousel style="margin-top: 1.1rem"/>
    <PostComponent
      v-for="post of postsSecondPart"
      :key="postsSecondPart.indexOf(post)"
      :post="post"
    />
    <div class="bottom-spacing"></div>
  </div>
</template>

<script>
// import {fetchRuneViewData} from "../../utils/commonFunctions"

export default {
  data() {},
  async asyncData({ app, $services, $links }) {
    var i18n = app.i18n;
    // var {
    //   nodeIncomeDaily,
    //   nodeIncomeDailyUSD,
    //   nodeIncomeYearlyUSD,
    //   nodeTweetText,
    //   nodeTweetDate,
    //   nodesAPY,
    //   lpAPY,
    //   activeNodeCount,
    //   standbyNodeCount,
    //   totalPooledUsd,
    //   totalCapitalUsd,
    //   totalBondedUsd,
    //   volume24h,
    //   tx24h,
    //   users24h,
    //   runeLocked,
    //   MCCN
    // } = await fetchHomePageData($services);

    var tableNumberStyle = `
    font-family: Roboto Mono;
    font-style: normal;
    font-weight: normal;
    font-size: 0.875rem ;
    line-height: 1.125rem ;
    text-align: right;
    letter-spacing: 0rem ;

    color: #D1D5DA;
    `;
    return {
      postsFirstPart: [
        {
          thread: false,
          header: {
            text: i18n.t("homePageMobile.explainer.title"),
            avatar: require("~/assets/images/home-page/avatar-network.svg"),
          },
          layers: [
            {
              type: "text",
              text: [i18n.t("homePage.mainTitle.text").join("")],
            },
            {
              type: "image",
              image: require("~/assets/images/home-page/thorchain-explainer-card.svg"),
              // link: $links('youtube_thorchain_explainer_video'),
              link: true,
              isYoutube: true,
              videoId: "VEqHk12eHUA",
              linkHeader: i18n.t("homePage.mainTitle.butsir"),
              linkCaption: i18n.t("homePageMobile.explainer.butSirSubtitle"),
              linkStyle:
                "background-color: #F3BA2F; color: #000B12; border: none",
              linkCaptionStyle: "color: #000B12",
            }
          ],
          endLine: true,
        },
      ],
      postsSecondPart: [
        {
          thread: false,
          header: {
            text: i18n.t("Swap and Pool Native Assets"),
            avatar: require("~/assets/images/home-page/avatar-thorchain.svg"),
          },
          layers: [
            { type: "text", text: [i18n.t("The network supports native such as BTC, ETH, LTC, BNB and BCH assets. Non-custodial THORChain interfaces allow you to swap native assets across chains, or pool them to earn yield.")] },
            {
              type: "image",
              image: require("~/assets/images/thornames-view/supported-card.svg"),
            },
            {type: 'table-links', links: [
              {text: i18n.t("Discover the Interfaces"), link: $links('slash_interfaces')},
            ]}
          ],
          endLine: true,
        },
        {
          thread: false,
          header: {
            text: i18n.t("RUNE Aiming for Deterministic Value"),
            avatar: require("~/assets/images/rune-view/avatar-arrow-up.svg"),
          },
          layers: [
            {type:'text', text: [
              i18n.t('If over 80% of circulating RUNE gets locked into THORChain liquidity pools, by economic design RUNE\'s market cap should be a minimum 3X the value of all non-RUNE assets locked into THORChain liquidity pools (BTC, ETH, BNB, BCH, LTC).')
            ]},
            {type:'text', text: [
              i18n.t('The more RUNE hodlers provide liquidity with their RUNE, the more accurate deterministic RUNE becomes. Assuming 80% of circulating RUNE is locked into THORChain, you can simulate various outcomes for RUNE\'s price based on the future Total Value Locked (TVL) in THORChain and asset prices on that day.')
            ]},
          ],
          endLine: true,
        },
        {
          thread: false,
          header: {
            text: i18n.t("Getting Started"),
            avatar: require("~/assets/images/home-page/avatar-start.svg"),
          },
          layers: [
            { type: "text", text: [i18n.t("THORChain is a complex technology. We recommend to read Erik Voorhees' summary first (ShapeShift founder). It's a good introduction to the whole.")] },
            {type: 'table-links', links: [
              {text: i18n.t("Erik's Summary"), link: $links('getting_started_erik_summary')},
              {text: i18n.t("Technology"), link: $links('slash_technology')},
              {text: i18n.t("RUNE Token"), link: $links('slash_rune')},
              {text: i18n.t("Network"), link: $links('slash_network')},
              {text: i18n.t("THORFi"), link: $links('slash_thorfi')}
            ]}
          ],
          endLine: true,
        },
        {
          thread: false,
          header: {
            text: i18n.t("RUNEBASE News"),
            avatar: require("~/assets/images/home-page/avatar-runebase.svg"),
          },
          layers: [
            { type: "text", text: [i18n.t("After last week’s consensus failure, THORChain is once again producing new blocks.")] },
            {
              type: "image",
              image: require("~/assets/images/home-page/news/thorchain-resumes-nov-16-2021.jpeg"),
              link: { localLink: false, link: "https://www.runebase.org/news/thorchain-resumes-network" },
              linkHeader: i18n.t("THORChain Resumes Network"),
              linkCaption: i18n.t("November 16, 2021"),
            },
          ],
          endLine: true,
        },
        {
          thread: false,
          header: {
            text: i18n.t("Ecosystem"),
            avatar: require("~/assets/images/home-page/avatar-molecule.svg"),
          },
          layers: [
            { type: "text", text: [i18n.t("The ecosystem is entirely community-driven. Explore the trusted products and services built by THORChads.")] },
            {type: 'table-links', links: [
              {text: i18n.t("Arbitrageur Tools"), link: $links('slash_arbitrageur_tools')},
              {text: i18n.t("DAO's"), link: $links('slash_daos')},
              {text: i18n.t("Data Analyst Tools"), disable: true, tag: 'soon'},
              {text: i18n.t("Insurance"), link: $links('slash_insurance')},
              {text: i18n.t("Liquidity Provider Tools"), link: $links('slash_liquidity_provider_tools')},
              {text: i18n.t("Marketing Tools"), disable: true, tag: 'soon'},
              {text: i18n.t("Name Service"), link: $links('slash_thornames')},
              {text: i18n.t("Network Explorers"), link: $links('slash_network_explorers')},
              {text: i18n.t("NFT Collections"), link: $links('slash_nft_collections')},
              {text: i18n.t("Swap/Pool Interfaces"), link: $links('slash_interfaces')},
              {text: i18n.t("Software/Hardware Wallets"), link: $links('slash_wallets')},
              {text: i18n.t("Project Funding"), link: $links('slash_project_funding')}
            ]}
          ],
          endLine: true,
        },
        {
          thread: false,
          header: {
            text: i18n.t("Papers, Audits & Reports"),
            avatar: require("~/assets/images/tech-view/avatar-audit.svg"),
          },
          layers: [
            { type: "text", text: [i18n.t("A breadth of research went into THORChain. Browse the library of papers, reports and audits completed.")] },
            {type: 'table-links', links: [
              {text: i18n.t("Document Library"), link: $links('slash_document_library')},
            ]}
          ],
          endLine: true,
        },
        {
          thread: false,
          header: {
            text: i18n.t("Community Roles"),
            avatar: require("~/assets/images/home-page/avatar-community.svg"),
          },
          layers: [
            { type: "text", text: [i18n.t("If you see the value in decentralizing liquidity, you should join the community.")] },
            {type: 'table-links', links: [
              {text: i18n.t("Arbitrageurs / Traders"), link: $links('slash_arbitrageurs')},
              {text: i18n.t("Creatives"), disable: true, tag: 'soon'},
              {text: i18n.t("Cyber Security Experts"), disable: true, tag: 'soon'},
              {text: i18n.t("Data Analysts"), disable: true, tag: 'soon'},
              {text: i18n.t("Developers"), link: $links('slash_developers')},
              {text: i18n.t("Liquidity Providers"), link: $links('slash_liquidity_providers')},
              {text: i18n.t("Marketers"), disable: true, tag: 'soon'},
              {text: i18n.t("Node Operators"), link: $links('slash_node_operators')}
            ]}
          ],
          endLine: true,
        },
        {
          thread: false,
          header: {
            text: i18n.t("Security & Solvency"),
            avatar: require("~/assets/images/home-page/avatar-shield.svg"),
          },
          layers: [
            { type: "text", text: [i18n.t("The network is fully transparent on its security practices. Solvency can be fully verified on-chain. No black boxes.")] },
            {type: 'table-links', links: [
              {text: i18n.t("Latest Security Update"), link: $links('security_solvency_halborn_update')},
              {text: i18n.t("Bug Bounty Program"), link: $links('security_solvency_immunefi_bug_bounty')},
              {text: i18n.t("Verify Solvency"), link: $links('security_solvency_thorchain_network_verify_solvency')}
            ]}
          ],
          endLine: true,
        },
        {
          thread: false,
          header: {
            text: i18n.t("Research Labs"),
            avatar: require("~/assets/images/home-page/avatar-lab.svg"),
          },
          layers: [
            { type: "text", text: [i18n.t("What's coming next to THORChain?")] },
            {type: 'table-links', links: [
              {text: i18n.t("Protocol Owned Liquidity (POL)"), link: $links('research_labs_twitter_protocol_owned_liquidity')},
              {text: i18n.t("Protocol Insurance Fund"), link: $links('research_labs_gitlab_protocol_insurance_fund')},
              {text: i18n.t("Vault Nodes"), link: $links('research_labs_gitlab_vault_nodes')},
              {text: i18n.t("Lending Model"), link: $links('research_labs_thorchain_gitlab_lending_model')},
              {text: i18n.t("Composite Model"), link: $links('research_labs_thorchain_gitlab_composite_model')},

            ]}
          ],
          endLine: false,
        },
      ],
    };
  },
  methods: {},
};
</script>

<style>
.homepage {
  background-color: #000b12;
}
.bottom-spacing {
  height: 5rem;
}
</style>
